.slideshow-navigation-wrapper {
    background-color: #D9A6B8;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.slideshow-wrapper {
    display: flex;
    flex-direction: row;
    justify-content: center;
    /* padding-right: 20%;
    padding-left: 20%; */
    /* height: 100vh; */
    min-height: 70vh;
    /* margin-right: 16px;
    margin-left: 16px; */
    padding-bottom: 0.25rem;
}

#slideshow-container {
    flex-grow: 1;
    position: relative;
    margin-top: 3%;
    margin-bottom: 1%;
    margin-left: 2%;
    margin-right: 2%;
}

.bg-custom-purple {
    background-color: #8B184D;
}

.text-custom-purple {
    color: #8B184D;
}

.border-custom-purple {
    border-color: #8B184D;
}

.border-custom-rose {
    border-color: #D9A6B8;
}

.bg-custom-pink {
    background-color: #FEF6F9;
}

.text-wave-pink {
    color: #FDECF2;
}

.text-custom-gray {
    color: #575757;
}

.bg-custom-peach {
    background-color: #FBE5D8;
}

.bg-custom-light-peach {
    background-color: #FFF7F3;
}

.bg-custom-light-pink {
    background-color: #FDECF2;
}

/* Slideshow Styles */
.slide {
    display: none;
    width: 100%;
    height: 100%;
    animation: fade 0.7s ease-in-out;
    /* position: absolute; */
    top: 0;
    left: 0;
    overflow-y: auto;
    /* Allow scrolling within a slide if content is too long */
    /* Add some padding at the bottom for scrollable slides */
    border-radius: 20px;
}

.slide.active {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

@keyframes fade {
    from {
        opacity: 0.3;
    }

    to {
        opacity: 1;
    }
}

/* Navigation Arrows */
.nav-arrow {
    background-color: rgba(139, 24, 77, 0.6);
    color: white;
    border: none;
    border-radius: 50%;
    width: 44px;
    height: 44px;
    font-size: 20px;
    cursor: pointer;
    transition: background-color 0.3s;
}

#nav-circle-container {
    margin-bottom: 2rem;
    align-self: center;
    display: flex;
    gap: 4px
}

.nav-circle {
    background-color: rgb(255, 255, 255);
    box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1),
            0 2px 4px -1px rgba(0, 0, 0, 0.06);
    color: white;
    border: none;
    border-radius: 50%;
    width: 25px;
    height: 25px;
    cursor: pointer;
    transition: background-color 0.3s;
}

.nav-circle.current {
    background-color: rgba(139, 24, 77, 0.6);
}

@media (max-width: 640px) {
    .nav-arrow {
        width: 28px;
        height: 28px;
        font-size: 8px;
    }
}

.nav-arrow:hover {
    background-color: rgba(139, 24, 77, 0.9);
}

.bg-bunbun {
    background-image: url('{{ "/assets/img/programs/bunbun-slide.png" }}');
    background-repeat: no-repeat;
    background-size: 100% 100%;
    background-position: center;
}